| QxOrm 1.2.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
qx::QxSqlRelationParams Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxSqlRelationParams : define list of parameters to transfer to relationships to manage SQL queries builded by QxOrm library More...

`#include <QxSqlRelationParams.h>`

List of all members.

## Public Member Functions
| QxSqlRelationParams ()
| QxSqlRelationParams (long lIndex, long lOffset, QString *sql, IxSqlQueryBuilder *builder, QSqlQuery *query, void *pOwner)
virtual | ~QxSqlRelationParams ()
long | index () const
long | offset () const
QString & | sql ()
const QString & | sql () const
QSqlQuery & | query ()
const QSqlQuery & | query () const
QSqlDatabase & | database ()
const QSqlDatabase & | database () const
IxSqlQueryBuilder & | builder ()
const IxSqlQueryBuilder & | builder () const
void * | owner () const
void | setIndex (long lIndex)
void | setOffset (long lOffset)
void | setSql (QString *sql)
void | setBuilder (IxSqlQueryBuilder *builder)
void | setQuery (QSqlQuery *query)
void | setDatabase (QSqlDatabase *database)
void | setOwner (void *pOwner)
## Protected Attributes
long | m_lIndex
| Current SQL relation index.
long | m_lOffset
| Current SQL query offset.
QString * | m_sql
| Current SQL query.
IxSqlQueryBuilder * | m_builder
| Current SQL query builder.
QSqlQuery * | m_query
| Current SQL query connected to database.
QSqlDatabase * | m_database
| Current SQL database connexion.
void * | m_pOwner
| Owner to current object to resolve input/output.

## Detailed Description

qx::QxSqlRelationParams : define list of parameters to transfer to relationships to manage SQL queries builded by QxOrm library

Definition at line 51 of file QxSqlRelationParams.h.

## Constructor & Destructor Documentation

qx::QxSqlRelationParams::QxSqlRelationParams | ( |  | ) | `[inline]`

Definition at line 66 of file QxSqlRelationParams.h.

qx::QxSqlRelationParams::QxSqlRelationParams | ( | long | lIndex,
|  | long | lOffset,
|  | QString * | sql,
|  | IxSqlQueryBuilder * | builder,
|  | QSqlQuery * | query,
|  | void * | pOwner
| ) |  | `[inline]`

Definition at line 67 of file QxSqlRelationParams.h.

virtual qx::QxSqlRelationParams::~QxSqlRelationParams | ( |  | ) | `[inline, virtual]`

Definition at line 68 of file QxSqlRelationParams.h.

## Member Function Documentation

IxSqlQueryBuilder& qx::QxSqlRelationParams::builder | ( |  | ) | `[inline]`

Definition at line 78 of file QxSqlRelationParams.h.

const IxSqlQueryBuilder& qx::QxSqlRelationParams::builder | ( |  | ) | const`[inline]`

Definition at line 79 of file QxSqlRelationParams.h.

const QSqlDatabase& qx::QxSqlRelationParams::database | ( |  | ) | const`[inline]`

Definition at line 77 of file QxSqlRelationParams.h.

QSqlDatabase& qx::QxSqlRelationParams::database | ( |  | ) | `[inline]`

Definition at line 76 of file QxSqlRelationParams.h.

long qx::QxSqlRelationParams::index | ( |  | ) | const`[inline]`

Definition at line 70 of file QxSqlRelationParams.h.

long qx::QxSqlRelationParams::offset | ( |  | ) | const`[inline]`

Definition at line 71 of file QxSqlRelationParams.h.

void* qx::QxSqlRelationParams::owner | ( |  | ) | const`[inline]`

Definition at line 80 of file QxSqlRelationParams.h.

QSqlQuery& qx::QxSqlRelationParams::query | ( |  | ) | `[inline]`

Definition at line 74 of file QxSqlRelationParams.h.

const QSqlQuery& qx::QxSqlRelationParams::query | ( |  | ) | const`[inline]`

Definition at line 75 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setBuilder | ( | IxSqlQueryBuilder * | builder | ) | `[inline]`

Definition at line 85 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setDatabase | ( | QSqlDatabase * | database | ) | `[inline]`

Definition at line 87 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setIndex | ( | long | lIndex | ) | `[inline]`

Definition at line 82 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setOffset | ( | long | lOffset | ) | `[inline]`

Definition at line 83 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setOwner | ( | void * | pOwner | ) | `[inline]`

Definition at line 88 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setQuery | ( | QSqlQuery * | query | ) | `[inline]`

Definition at line 86 of file QxSqlRelationParams.h.

void qx::QxSqlRelationParams::setSql | ( | QString * | sql | ) | `[inline]`

Definition at line 84 of file QxSqlRelationParams.h.

QString& qx::QxSqlRelationParams::sql | ( |  | ) | `[inline]`

Definition at line 72 of file QxSqlRelationParams.h.

const QString& qx::QxSqlRelationParams::sql | ( |  | ) | const`[inline]`

Definition at line 73 of file QxSqlRelationParams.h.

## Member Data Documentation

IxSqlQueryBuilder* qx::QxSqlRelationParams::m_builder`[protected]`

Current SQL query builder.

Definition at line 59 of file QxSqlRelationParams.h.

QSqlDatabase* qx::QxSqlRelationParams::m_database`[protected]`

Current SQL database connexion.

Definition at line 61 of file QxSqlRelationParams.h.

long qx::QxSqlRelationParams::m_lIndex`[protected]`

Current SQL relation index.

Definition at line 56 of file QxSqlRelationParams.h.

long qx::QxSqlRelationParams::m_lOffset`[protected]`

Current SQL query offset.

Definition at line 57 of file QxSqlRelationParams.h.

void* qx::QxSqlRelationParams::m_pOwner`[protected]`

Owner to current object to resolve input/output.

Definition at line 62 of file QxSqlRelationParams.h.

QSqlQuery* qx::QxSqlRelationParams::m_query`[protected]`

Current SQL query connected to database.

Definition at line 60 of file QxSqlRelationParams.h.

QString* qx::QxSqlRelationParams::m_sql`[protected]`

Current SQL query.

Definition at line 58 of file QxSqlRelationParams.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlRelationParams.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines